import { cloneDeep as t } from "lodash";
const e = "2.0.0", p = (r) => {
  const o = t(r);
  return o.version !== e ? {
    config: {
      url: o.src,
      autoplay: o.autoplay,
      controls: o.controls,
      muted: o.muted,
      loop: o.loop,
      poster: o.poster
    },
    version: e
  } : r;
};
export {
  e as VERSION,
  p as upgradeVideo
};
